/*
  Program:      Mine Mayhem
  File:         custom.h
  Date: 	July, 1996 to February,   1997, version 1.00.
		26 October to 3 December,	version 2.00.
		8 December to 4 January,  2001, version 2.10.
		15 January,			version 2.11.

  Definitions for the custom layout dialog box and popup menu.

  Freeware, Copyright 2001 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.

  v2.00: removed all inline code.
  v2.10: added option to delete layout.
*/

#ifndef _custom_h
#define _custom_h

#include <tws/tabwin.h>
#include <tws/static.h>
#include <tws/button.h>
#include <tws/menu.h>
#include "layout.h"
#include "spin.h"


class CustomDlg : public TabWin
{
public:
  CustomDlg();
  ~CustomDlg();

  bool Run();                           // true for OK, false for Cancel

protected:
  void PaintWindow(int x1, int y1, int x2, int y2);

  void SaveState();
  void SetState(cLayout& layout);

  void cmStr();
  void cmBeg();
  void cmInt();
  void cmExp();
  void cmRan();
  void cmRes();

  void cmDel();

  void cmChange();

  void cmOK();
  void cmCancel();

  DECLARE_RESPONSE_TABLE;

  Spin *WidthEdit, *HeightEdit, *MineEdit;
  StaticText *Diff;
  TextButton *Str, *Beg, *Int, *Exp, *Ran, *Res,
	     *Del,
             *OK, *Cancel;
  bool isOK;
  Layout save;
};


const unsigned CustomGames = 20,        // Maximum number of custom games
               CustomLen = 18 + 1;      // "ww x hh, ddd Mines\0"


struct CustomPopupRes
{
  CustomPopupRes();
  ~CustomPopupRes();

  unsigned number;                      // The number of custom games stored
  Layout layout[CustomGames];           // The layout of each
  PopupMenuRes menu[CustomGames];       // The menu data

  void Insert(cLayout& lo);		// Add a new game in order easy -> hard
  void Delete(cLayout& lo);		// Remove a game
};


class CustomPopupMenu : public AutoPopupMenu
{
public:
  CustomPopupMenu(Window* parent, const CustomPopupRes& custom, int x, int y);

  bool Run();

protected:
  void cmSelection(unsigned game);

  void keyESC(int);                             // Press Escape or click
  void LButtonDown(int x, int y, int);          // outside the menu to cancel

  DECLARE_RESPONSE_TABLE;

  const CustomPopupRes* popup;
  bool cancelled;
};

#endif
