/*
  Program:      Mine Mayhem
  File:         digits.cc
  Date: 	July, 1996 to February,   1997, version 1.00.
		26 October to 3 December,	version 2.00.
		8 December to 4 January,  2001, version 2.10.
		15 January,			version 2.11.

  The LED digit graphic buffers.

  Ripped out of CheatMine, with the permission of Dimitris Staikos.
  The SmallDigits I created myself (it appears Dimitris just scales the
  others).

  Freeware, Copyright 2001 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.
*/

#include "digits.h"

ViewBuffer *Digit[DIGITS],
	   *SmallDigit[DIGITS];

BYTE DigitBuffer[DIGITS][DIGITW*DIGITH] =
{
                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Zero
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,7,7,3,7,7,7,7,7,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,7,3,3,6,3,6,3,6,3,3,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,7,7,7,7,7,3,7,7,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // One
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Two
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,6,3,3,7,7,7,7,7,3,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,3,3,3,3,3,3,3,7,7,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,3,3,
                           3,7,7,3,3,3,3,3,3,3,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,7,3,3,3,3,3,6,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,7,3,3,3,3,3,6,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,3,7,7,7,7,7,3,3,6,3,
                           3,7,3,7,7,7,7,7,7,7,3,3,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Three
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,6,3,3,7,7,7,7,7,3,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,3,3,3,3,3,3,3,7,7,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,6,3,3,3,3,3,3,3,3,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,3,7,7,7,7,7,3,7,7,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Four
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,7,3,3,6,3,6,3,6,3,3,7,3,
                           3,7,7,3,3,6,3,6,3,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,6,3,3,3,3,3,3,3,3,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,3,3,6,3,6,3,3,7,7,3,
                           3,3,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Five
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,3,3,
                           3,7,7,3,7,7,7,7,7,3,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,7,3,3,3,3,3,6,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,7,3,3,3,3,3,6,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,3,3,3,3,3,3,3,3,6,3,
                           3,7,3,7,7,7,7,7,7,7,3,3,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,6,3,3,3,3,3,3,3,3,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,3,7,7,7,7,7,3,7,7,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Six
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,3,3,
                           3,7,7,3,7,7,7,7,7,3,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,7,3,3,3,3,3,6,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,7,3,3,3,3,3,6,3,6,3,
                           3,7,7,7,3,3,3,3,3,3,6,3,3,
                           3,7,7,3,3,3,3,3,3,3,3,6,3,
                           3,7,3,7,7,7,7,7,7,7,3,3,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,7,7,7,7,7,3,7,7,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Seven
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,6,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,6,3,7,7,7,7,7,3,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,6,3,6,3,3,7,7,3,
                           3,6,3,3,6,3,6,3,6,3,3,7,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Eight
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,7,7,3,7,7,7,7,7,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,7,7,7,7,7,3,7,7,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Nine
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,7,7,3,7,7,7,7,7,3,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,7,3,3,3,3,3,7,7,7,3,
                           3,7,7,3,3,3,3,3,3,3,7,7,3,
                           3,7,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,6,3,3,3,3,3,3,3,3,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,6,3,3,3,3,3,7,7,7,3,
                           3,3,6,3,3,3,3,3,3,7,7,7,3,
                           3,6,3,3,7,7,7,7,7,3,7,7,3,
                           3,3,3,7,7,7,7,7,7,7,3,7,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Minus
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,6,3,
                           3,3,6,3,3,6,3,6,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,7,7,7,7,7,7,7,3,6,3,
                           3,3,7,7,7,7,7,7,7,7,7,3,3,
                           3,6,3,7,7,7,7,7,7,7,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,6,3,6,3,3,6,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,6,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 },

                         { 3,3,3,3,3,3,3,3,3,3,3,3,3,           // Blank
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,6,3,
                           3,3,6,3,3,6,3,6,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,6,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,3,3,3,3,3,6,3,3,
                           3,6,3,6,3,3,3,3,3,6,3,6,3,
                           3,3,6,3,3,6,3,6,3,3,6,3,3,
                           3,6,3,3,6,3,6,3,6,3,3,6,3,
                           3,3,3,6,3,6,3,6,3,6,3,3,3,
                           3,3,3,3,3,3,3,3,3,3,3,3,3 }
};

BYTE SmallDigitBuffer[DIGITS][SMALLDIGITW*SMALLDIGITH] =
{
                             { 3,3,3,3,3,3,3,3,3,               // Zero
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,7,7,7,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,3,3,3,3,7,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,6,3,6,3,3,3,
                               3,7,3,3,3,3,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,7,7,7,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // One
                               3,3,6,3,6,3,6,3,3,
                               3,6,3,6,3,6,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,6,3,6,3,3,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,6,3,6,3,7,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Two
                               3,3,7,7,7,7,7,3,3,
                               3,6,3,7,7,7,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,3,7,7,7,7,3,3,
                               3,3,7,7,7,7,3,3,3,
                               3,7,3,3,3,3,3,6,3,
                               3,7,7,3,3,3,6,3,3,
                               3,7,7,3,3,3,3,6,3,
                               3,7,7,3,3,3,6,3,3,
                               3,7,3,7,7,7,3,6,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Three
                               3,3,7,7,7,7,7,3,3,
                               3,6,3,7,7,7,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,7,7,7,7,7,3,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,7,7,7,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Four
                               3,3,6,3,6,3,6,3,3,
                               3,7,3,6,3,6,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,3,3,3,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,7,7,7,3,3,3,
                               3,3,3,3,3,3,3,7,3,
                               3,6,6,3,3,3,7,7,3,
                               3,3,3,3,3,3,7,7,3,
                               3,6,6,3,3,3,7,7,3,
                               3,3,3,6,3,6,3,7,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Five
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,7,7,7,3,6,3,
                               3,7,7,3,3,3,6,3,3,
                               3,7,7,3,3,3,3,6,3,
                               3,7,7,3,3,3,6,3,3,
                               3,7,3,3,3,3,3,6,3,
                               3,3,7,7,7,7,3,3,3,
                               3,3,3,7,7,7,7,3,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,7,7,7,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Six
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,7,7,7,3,6,3,
                               3,7,7,3,3,3,6,3,3,
                               3,7,7,3,3,3,3,6,3,
                               3,7,7,3,3,3,6,3,3,
                               3,7,3,3,3,3,3,6,3,
                               3,3,7,7,7,7,3,3,3,
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,3,3,3,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,7,7,7,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Seven
                               3,3,7,7,7,7,7,3,3,
                               3,6,3,7,7,7,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,6,3,6,3,3,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,6,3,6,3,7,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Eight
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,7,7,7,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,3,3,3,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,3,3,3,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,7,7,7,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Nine
                               3,3,7,7,7,7,7,3,3,
                               3,7,3,7,7,7,3,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,7,3,3,3,7,7,3,
                               3,7,3,3,3,3,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,7,7,7,7,3,3,
                               3,6,3,3,3,3,3,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,3,3,3,7,7,3,
                               3,3,6,3,3,3,7,7,3,
                               3,6,3,7,7,7,3,7,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Minus
                               3,3,6,3,6,3,6,3,3,
                               3,6,3,6,3,6,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,7,7,7,7,7,3,3,
                               3,3,7,7,7,7,7,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,6,3,6,3,6,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,3,3,3,3,3,3 },

                             { 3,3,3,3,3,3,3,3,3,               // Blank
                               3,3,6,3,6,3,6,3,3,
                               3,6,3,6,3,6,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,6,3,6,3,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,3,3,3,3,6,3,
                               3,3,6,3,3,3,6,3,3,
                               3,6,3,6,3,6,3,6,3,
                               3,3,6,3,6,3,6,3,3,
                               3,3,3,3,3,3,3,3,3 }
};
